"Latest" revisions on repository view is confused

2013-12-11 05:28 - Toru Haraguchi

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

On repository view, when move from a ticket view by clicking on an associated revision, the revision list is titled as "Latest revisions",

but actually the list does not include the latest revisions on the repository but does only until the revision selected on the ticket view.

A colleague of mine is claiming that this title is confusing in Japanese when it is translated straightly to "最新リビジョン".

Please let me suggest to remove the word "最新" from the label "label_latest_revsion_plural" in Japanese translation to avoid the

confusion above.

I myself understand that the view is designed to be common among various context and that it will not be a problem once the

colleague get accustomed with the latest revision control system, but as a correct process, I could not refuse this post.

History

#1 - 2013-12-11 07:04 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

- Subject changed from Japanese translation for "Latest revisions" on repository view to "Latest" revisions on repository view is confused

- Category changed from Translations to SCM

I think it is not traslation problem, latest is confusing.

Redmine has a feature to show tree and revisions on specific revision.

http://www.redmine.org/projects/redmine/repository?rev=12000

I think it is better to use revisions instead of latest revision on all language.

#2 - 2013-12-12 06:23 - Toru Haraguchi

Thank you for the positive response.

So far we alter our ja.yml locally from "最新リビジョン" to "これまでのリビジョン", roughly saying "Latest revisions at the specified revision".

Waiting for the latest version of Redmine.

#3 - 2022-12-17 06:35 - Go MAEDA

- File 15676.patch added

- Target version set to Candidate for next major release

Toshi MARUYAMA wrote:

I think it is not traslation problem, latest is confusing.

Redmine has a feature to show tree and revisions on specific revision.

http://www.redmine.org/projects/redmine/repository?rev=12000

I think it is better to use revisions instead of latest revision on all language.

 +1

Here is a patch to change the wording.
Files

15676.patch 25 KB 2022-12-17 Go MAEDA
